Bug 1264032 - RFE: add "Skipped" into Transaction Summary
Summary: RFE: add "Skipped" into Transaction Summary
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 23
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-17 11:10 UTC by Kamil Páral
Modified: 2015-11-30 23:24 UTC (History)
7 users (show)

Fixed In Version: dnf-1.1.4-1.fc23 dnf-1.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 23:24:00 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kamil Páral 2015-09-17 11:10:57 UTC
Description of problem:
If you look at attachment 1073991 [details] you might get the notion that all you do is installing and upgrading packages. But in fact, you're skipping 190 packages as well. But that's not shown in the Transaction Summary, you have to scroll up and look for "Skipping packages with broken dependencies:" section. That's very unobvious. (I have used system-upgrade output as an example, but if should be the same as core dnf output).

Please add Skipped count into the Transaction Summary, to make sure people see it easily. Thanks!

Version-Release number of selected component (if applicable):
dnf-1.1.0-2.fc22

Comment 1 Radek Holy 2015-09-21 09:08:31 UTC
Sounds reasonable, we'll take a look.

Comment 2 Fedora Update System 2015-11-16 19:07:18 UTC
dnf-plugins-core-0.1.14-1.fc23 dnf-1.1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b

Comment 3 Fedora Update System 2015-11-18 16:26:23 UTC
dnf-1.1.4-1.fc22 dnf-plugins-core-0.1.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff

Comment 4 Fedora Update System 2015-11-18 16:52:14 UTC
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b

Comment 5 Fedora Update System 2015-11-19 09:52:16 UTC
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-11-19 14:51:17 UTC
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff

Comment 7 Fedora Update System 2015-11-30 23:23:15 UTC
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.